
package net.mcreator.undertalecalipack.block;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.storage.loot.LootContext;
import net.minecraft.world.World;
import net.minecraft.util.math.BlockPos;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.BlockItem;
import net.minecraft.entity.Entity;
import net.minecraft.block.material.Material;
import net.minecraft.block.SoundType;
import net.minecraft.block.BlockState;
import net.minecraft.block.Block;

import net.mcreator.undertalecalipack.procedures.GrassblockQuandUneEntiteMarcheSurLeBlocProcedure;
import net.mcreator.undertalecalipack.itemgroup.UndertaleItemGroup;
import net.mcreator.undertalecalipack.UndertalecalipackModElements;

import java.util.Map;
import java.util.List;
import java.util.HashMap;
import java.util.Collections;

@UndertalecalipackModElements.ModElement.Tag
public class GrassblockBlock extends UndertalecalipackModElements.ModElement {
	@ObjectHolder("undertalecalipack:grassblock")
	public static final Block block = null;
	public GrassblockBlock(UndertalecalipackModElements instance) {
		super(instance, 9);
	}

	@Override
	public void initElements() {
		elements.blocks.add(() -> new CustomBlock());
		elements.items.add(() -> new BlockItem(block, new Item.Properties().group(UndertaleItemGroup.tab)).setRegistryName(block.getRegistryName()));
	}
	public static class CustomBlock extends Block {
		public CustomBlock() {
			super(Block.Properties.create(Material.ROCK).sound(SoundType.GROUND).hardnessAndResistance(3f, 10f).lightValue(0));
			setRegistryName("grassblock");
		}

		@Override
		public List<ItemStack> getDrops(BlockState state, LootContext.Builder builder) {
			List<ItemStack> dropsOriginal = super.getDrops(state, builder);
			if (!dropsOriginal.isEmpty())
				return dropsOriginal;
			return Collections.singletonList(new ItemStack(this, 1));
		}

		@Override
		public void onEntityWalk(World world, BlockPos pos, Entity entity) {
			super.onEntityWalk(world, pos, entity);
			int x = pos.getX();
			int y = pos.getY();
			int z = pos.getZ();
			{
				Map<String, Object> $_dependencies = new HashMap<>();
				$_dependencies.put("entity", entity);
				GrassblockQuandUneEntiteMarcheSurLeBlocProcedure.executeProcedure($_dependencies);
			}
		}
	}
}
